Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class LoggingUtil

    java.lang.Object
      org.wso2.wsas.util.LoggingUtil

    public class LoggingUtil

extends java.lang.Object

Constructor Summary
`LoggingUtil()`

Method Summary
`static java.lang.String` | `getSystemLogLevel()`
`static java.lang.String` | `getSystemLogPattern()`
`static void` | `loadCustomConfiguration()`
`static void` | `loadDefaultConfiguration()`
`static void` | `restoreDefaults()`
`static void` | `setSystemLoggingParameters(java.lang.String logLevel, java.lang.String logPattern)`
`static LoggerDO` | `toLoggerDO(org.apache.log4j.Logger logger)` when getting loggers from getCurrentLoggers method it will return all the loggers in the system. this includes loggers we have initialized using getLogger methods. but these loggers does not have a log level set they get the log level from the parent loggers. but to store in database we use only loggers with a log level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingUtil

    public LoggingUtil()

Method Detail

### setSystemLoggingParameters

    public static void setSystemLoggingParameters(java.lang.String logLevel,
                                                  java.lang.String logPattern)

### getSystemLogLevel

    public static java.lang.String getSystemLogLevel()

### getSystemLogPattern

    public static java.lang.String getSystemLogPattern()

### loadDefaultConfiguration

    public static void loadDefaultConfiguration()

### restoreDefaults

    public static void restoreDefaults()
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### loadCustomConfiguration

    public static void loadCustomConfiguration()

### toLoggerDO

    public static LoggerDO toLoggerDO(org.apache.log4j.Logger logger)

  when getting loggers from getCurrentLoggers method it will return all the loggers in the system. this includes loggers we have initialized using getLogger methods. but these loggers does not have a log level set they get the log level from the parent loggers. but to store in database we use only loggers with a log level

  Parameters:
    `logger` - The Log4J Logger to be converted
  Returns:
    loggerDO The corresponding LoggerDO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD